Unit tiis3r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, IIS3R_p;

function tiis3r: String;

implementation

function tiis3r: String;
var
NX,I,J,IERR :Integer;
Y :Array [0..3] of Real;
BPAR :Array [0..3] of Real;
C :Array [0..8] of Real;
const
X :Array [0..3] of Real = ( 0.0,0.33,1.0,2.0 );
label
_5,_10;
begin
Result := '';  {   }
NX := 4;
for I:=1 to NX do
 begin
  Y[I-1] := ((X[I-1]-2.0)*X[I-1]+3.0)*X[I-1]+4.0;
_5:
 end;
BPAR[0] := 1.0;
BPAR[1] := 6.0/(X[1]-X[0])*((Y[1]-Y[0])/(X[1]-X[0])-3.0);
BPAR[2] := 1.0;
BPAR[3] := 6.0/(X[3]-X[2])*(7.0-(Y[3]-Y[2])/(X[3]-X[2]));
IIS3R(X,Y,NX,BPAR,C,IERR);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
for I:=1 to 3 do
 begin
_10:
  Result := Result + #$0D#$0A;
  for J:=1 to 3 do
   begin
    Result := Result + Format('%20.16f ',[C[(I-1)+(J-1)*3]]) + #$0D#$0A;
   end;
  Result := Result + #$0D#$0A;
 end;
UtRes('tiis3r',Result);  {     tiis3r.res }
exit;
end;

end.
